[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteDescendent

Write descendent of a component

## Declaration

Source position: classesh.inc line 960

`public procedure TStream.WriteDescendent(`
`Instance: TComponent;`
`Ancestor: TComponent`
`);`

## Description

WriteDescendent will create a TWriter writer class and write Instance as a descendent of Ancestor using the writer. This is used to create diff streams: only the properties where Instance differs from Ancestor are written to the stream.

## See also

TWriter.WriteDescendent |  | Write descendent to stream